--- gdkanji.c.dist	2003-07-25 10:05:16.000000000 +0200
+++ gdkanji.c	2003-07-25 10:07:43.000000000 +0200
@@ -27,29 +27,32 @@
 
 #ifndef HAVE_ICONV
 #define ICONV_CONST /**/
-  iconv_t iconv_open (const char *, const char *);
-size_t iconv (iconv_t, ICONV_CONST char **, size_t *, char **, size_t *);
-int iconv_close (iconv_t);
+static iconv_t my_iconv_open (const char *, const char *);
+static size_t my_iconv (iconv_t, ICONV_CONST char **, size_t *, char **, size_t *);
+static int my_iconv_close (iconv_t);
 
-iconv_t
-iconv_open (const char *tocode, const char *fromcode)
+static iconv_t
+my_iconv_open (const char *tocode, const char *fromcode)
 {
   return (iconv_t) (-1);
 }
 
-size_t
-iconv (iconv_t cd, ICONV_CONST char **inbuf, size_t * inbytesleft,
+static size_t
+my_iconv (iconv_t cd, ICONV_CONST char **inbuf, size_t * inbytesleft,
        char **outbuf, size_t * outbytesleft)
 {
   return 0;
 }
 
-int
-iconv_close (iconv_t cd)
+static int
+my_iconv_close (iconv_t cd)
 {
   return 0;
 }
-
+#else
+#define my_iconv_open iconv_open
+#define my_iconv iconv
+#define my_iconv_close iconv_close
 #endif /* !HAVE_ICONV */
 
 #define LIBNAME "any2eucjp()"
@@ -377,7 +380,7 @@
   iconv_t cd;
   size_t from_len, to_len;
 
-  if ((cd = iconv_open (EUCSTR, code)) == (iconv_t) - 1)
+  if ((cd = my_iconv_open (EUCSTR, code)) == (iconv_t) - 1)
     {
       error ("iconv_open() error");
 #ifdef HAVE_ERRNO_H
@@ -391,7 +394,7 @@
   from_len = strlen ((const char *) from) + 1;
   to_len = BUFSIZ;
 
-  if ((int) (iconv (cd, (char **)from_p, &from_len, (char **)to_p, &to_len))
+  if ((int) (my_iconv (cd, (char **)from_p, &from_len, (char **)to_p, &to_len))
       == -1)
     {
 #ifdef HAVE_ERRNO_H
@@ -408,7 +411,7 @@
       return;
     }
 
-  if (iconv_close (cd) != 0)
+  if (my_iconv_close (cd) != 0)
     {
       error ("iconv_close() error");
     }
Index: gdhelpers.h
--- gdhelpers.h.orig	2003-12-24 20:23:18.000000000 +0100
+++ gdhelpers.h	2003-12-25 09:55:12.000000000 +0100
@@ -25,7 +25,7 @@
 #define gdMutexLock(x) EnterCriticalSection(&x)
 #define gdMutexUnlock(x) LeaveCriticalSection(&x)
 #else
-#ifdef HAVE_PTHREAD
+#if 0
 #include <pthread.h>
 #define gdMutexDeclare(x) pthread_mutex_t x
 #define gdMutexSetup(x) pthread_mutex_init(&x, 0)
Index: config/gdlib-config.in
--- config/gdlib-config.in.orig	2004-10-27 16:22:07 +0200
+++ config/gdlib-config.in	2005-01-03 17:47:17 +0100
@@ -68,10 +68,10 @@
 	echo @GDLIB_REVISION@
 	;;
     --ldflags)
-	echo @LDFLAGS@
+	echo -L@libdir@ @LDFLAGS@
 	;;
     --libs)
-	echo @LIBS@
+	echo -lgd @LIBS@
 	;;
     --cflags|--includes)
 	echo -I@includedir@
@@ -83,8 +83,8 @@
 	echo "GD library  @VERSION@"
 	echo "includedir: $includedir"
 	echo "cflags:     -I@includedir@"
-	echo "ldflags:    @LDFLAGS@"
-	echo "libs:       @LIBS@"
+	echo "ldflags:    -L@libdir@ @LDFLAGS@"
+	echo "libs:       -lgd @LIBS@"
 	echo "libdir:     $libdir"
 	echo "features:   @FEATURES@"
 	;;
